= gitg 44 =
args to build libgit2
linter fixes
bundle git in flatpak distro
Fix flatpak dependencies
Add sha1 and committer name to history view
control available lanes to paint
gitg mainline needs to be explicitly set
insert lanes directly in correct order
avoid load history twice
Show commit details for submodule history view
Honor core.hooksPath property
Add file filter by name for stage view
refresh references on external change
Check renamed branch prefix does not match with existing branches
Start rename edition from history view
Calculate selected ref on history view
Disable remove current checked branch
Show info on errors in command line about init option
retrieve correctly the parent window for context menus
Open files in external editor
Reuse previous filemode when staging patches
Fix window growing each start
Allow to sign commits
Correct behaviour of --standalone option
Option to delete sources from disk
customizable datetime format
honor avatar service settings
honor commit settings
flatpak: upgrade libssh2 to version 1.10.0
Deal correctly with stage/unstage of selection on new files
Honor system preferences about using dark theme
Do not disable image diff tools
highlight characters outside margins
Include conflict status
use datetime for visited
Use non deprecated show_uri
Handle all DiffLineType
Use timezone constructor
Added init option
Update release 41 metadata info
Added reference action to create patch
Added reference action to add tags
Added reference action to create branch
Manage invalid remotes
Allow to edit remotes
Allow to remove remotes
Allow to add new remotes
default to text diff if mime type detection fails
Fix offset from parsing tags
Avoid parse html tags from commits
Show diff renderer switch only when diff expanded
Update windows installer

= gitg 41 =
Manage if there's no textconv config
Convert to text using gitattributes config
Side by side diff text renderers
Read setup for smart commits from git config
Show diff stats only on text renderer
Put image renderer first on stack
Allow to diff images as text if its mime type supports it
Add new-window action to desktop file
Fix the ninja call in one of the building guides
TextView needs to be wrapped in a scroll view
fix libgitg-date test package failure
Use GUri instead of SoupURI
Avoid return null if old or new file fails to load
Properly mark "head" parameter of ActionSupport.stash_if_needed() as nullable
References of [GtkChild] fields is handled by GtkBuilder, type must be unowned
Install correctly devel profile
Icon honor profile
Lane indicator line width set to 0.
Option to switch to the newly created branch
Remote branches can be checked out using double-click.
Add shortcuts for history panels
Give some button alt key
Ctrl+O shortcut does not work
Add missing Preferences shortcut
Do not follow symlinks on recursive scan
Local branch checkout using double-click.
Lower the importance of missing gravatars from "warning" to "debug"
Replace git.gnome.org with gitlab.gnome.org URLs
Replace projects.gnome.org with wiki.gnome.org URLs
fix CSS warning on MacOS
Fix libgitg compile on macOS
fixup! Honor prepare-commit-msg hook
Remove unnecessery Shift key from a shortcut
Access host XDG_CONFIG_HOME/git from flatpak
Rely on libgit for global config file(s)
Avoid shell injection on hooks
Avoid G_LOG_DOMAIN redefinition on contrib code
Fix deprecation for const
Honor prepare-commit-msg hook
Escape subject commit text
preferences-interface: Disable gravatar loading by default
Add message history to commit dialog
Activities can process key events
Update shortcut dialog
Revert "Update GtkSourceView dependency"
Fix vapi for gtksourceview
Adding current gtksourceview vapi files
config for fonts
Don't ellipsize commit subject
Avoid duplicating Signed-off-by signature
Consider author and committer when filtering
Setup editorconfig
on close, selection should display back the gear menu
add "RevisionControl" to desktop file Categories
GitgHistory.RefRow: Don't assume that every GgitSignature has a time
Allow loading of gravatar by default
Change gtkspell3 to gspell
vala: Remove obsolete vapi files
Remove submodules config

= gitg 3.32.1 =
Version 3.32.1 was released on 2019-07-25

== Bugs fixed ==
- Support repository being null
- Allow copying file names

= gitg 3.32.0 =
Version 3.32.0 was released on 2019-05-23

== Bugs fixed ==
- Detect links in commit messages
- Push action with http/ssh support
- Fix time sort mode
- Add push support
- Add typeahead find feature
- Respect system fonts
- Update submodules at clone
- Add body to patch
- Shorcut to open preferences
- Honor GIT_DIR env
- Update menus for AppMenu removal
- Bump libgit2 to 0.27
- Use Unicode typography in user-visible strings
- Fix shared library paths in typelib files
- Migrate from Intltool to Gettext
- Meson polish
- Removed autotools
- Fixes in documentation
- Fixed several deprecations
- Misc fixes

= gitg 3.30.1 =
Version 3.30.1 was released on 2018-10-25

== Bugs fixed ==
- Meson improvements
- Fix parsing title and body for message commit
- Search repositories ignoring case
- Added standalone mode
- Allow to config patience algorithm
- GUI improvements
- Removed autotools buildsystem
- Fixed mac compilation
- Misc fixes

= gitg 3.30.0 =
Version 3.30.0 was released on 2018-10-07

== Bugs fixed ==
- Detect dark theme from its background color
- Buildsystem meson added
- Added flatpak deployments
- Updated translations
- Misc fixes

= gitg 3.26.0 =
Version 3.26.0 was released on 2017-08-09

== Bugs fixed ==
- Updated translations
- Misc fixes

= gitg 3.24.0 =
Version 3.24.0 was released on 2017-04-30

== Bugs fixed ==
- Updated translations
- Misc fixes

= gitg 3.23.90 =
Version 3.23.90 was released on 2017-02-16

== Changes ==
- Fix for libgit2-glib api change

== Bugs fixed ==
- Do not duplicate the fds

= gitg 3.23.0 =
Version 3.23.0 was released on 2016-11-26

== Changes ==
- Bump libgit2-glib version to 0.24.4
- Show dash activity menu if shell does not show app menu
- Add diff renderer for images

== Bugs fixed ==
- history: Fix printf format strings
- Use same callbacks instance during remote connection life cycle
- win32 installer fixes

= gitg 3.21.91 =
Version 3.21.91 was released on 2016-08-27

== Changes ==
- Add context menu to open files from the diff
- Better support for bare and empty repositories
- Add support for ssh short form remote urls
- Improved selection toggling for incremental staging
- Disable use of gravatar by default for privacy

== Bugs fixed ==
- Set primary selection to selected commit SHA1
- Scrollable commit message in diff view
- Incremental loading on large repositories
- Faster switching of large repositories
- Create global git config if it does not exist yet
- Remember opened projects regardless of gnome privacy settings

= gitg 3.20.0 =
Version 3.20.0 was released on 2016-03-20

== Bugs fixed ==
- Updated translations
- Misc fixes

= gitg 3.19.6 =
Version 3.19.6 was released on 2016-02-04

== Changes ==
- Make use of shortcut window optional

== Bugs fixed ==
- Make it build again on osx and windows

= gitg 3.19.5 =
Version 3.19.5 was released on 2016-01-26

== Changes ==
- Improved Windows installer graphics
- Add context menu on Windows
- Provide shortcuts window
- Rework dash view

== Bugs fixed ==
- Do not hang on highlighting commit message

= gitg 3.19.4 =
Version 3.19.4 was released on 2016-01-08

== Changes ==
- Add OSX bundle generator
- Add syntax highlighting support on diffs
- Show untracked content on stage

== Bugs fixed ==
- Fix OSX paths
- Missing includes

= gitg 3.19.3 =
Version 3.19.3 was released on 2015-12-23

== Changes ==
- Add script to create windows installer
- Add support for commit.template config setting
- Dim default avatar image

== Bugs fixed ==
- Add icon to the windows binary
- Handle console on windows


= gitg 3.19.2 =
Version 3.19.2 was released on 2015-12-22

== Changes ==
- Support for Windows and OSX
- Add platform specific styles

== Bugs fixed ==
- Fix dark style of diff-stat widget
- Fix selectable button visibilities


= gitg 3.19.1 =
Version 3.19.1 was released on 2015-12-21

== Changes ==
- Rework diff view to use GtkSourceView instead of Webkit
- Initial support of dark theme
- Better support on OSX
- Improved commit selection


= gitg 3.17.1 =
Version 3.17.1 was released on 2015-08-08

== Changes ==
- Make use of gravatar service optional (preference)
- Stage/unstage all selected items when pressing Enter
- Add command line arguments to modify default history
  activity selection (--all, --branches, --remotes, --tags)
- Add deleting of untracked files
- Improvements to the dash/overview UX
- Improvements to collapse/uncollapse behavior of diff view


== Bugs fixed ==
- Get icons at correct size in diff view
- Small UI polish
- Fixed authentication for cloning
- Only use animations of gtk_enable_animations is set
- Fix collation errors for python diffs
- Fix race conditions in repository loading


= gitg 3.16.1 =
Version 3.16.1 was released on 2015-04-29

== Changes ==
  * Include passed in cflags for threading support check
  * Updated translations

= gitg 3.16.0 =
Version 3.16.0 was released on 2015-03-24

== Changes ==
  * Updated translations

= gitg 3.15.2 =
Version 3.15.2 was released on 2015-03-17

== Changes ==
  * Show committer date in commit info
  * Deep extend diff settings to preserve defaults
  * Show committer in diff when differs from author
  * Select row when going into selection mode
  * Do not use null repository in remote manager
  * Provide a symbolic variant of the app icon
  * Make links in commit messages clickable
  * Add gitg config to ignore certain submodules
  * Updated translations

= gitg 3.15.1 =
Version 3.15.1 was released on 2015-02-09

== Changes ==
  * Fix building with vala 0.25
  * Bump libgit2-glib to 0.22.0
  * Implement basic history search
  * Implement basic fetch
  * Implement remote state tracking
  * Add remote management
  * Show hunk context in diff
  * Implement configuring of mainlines
  * Implement preserving mainlines on history lanes
  * Implement opening file from staging area
  * Allow choosing merge diff parent
  * Implement submodule patch stage/unstage
  * Implement workdir submodule stage/unstage
  * Show submodules in dash
  * Updated translations

= gitg 3.14.0 =
Version 3.14.0 was released on 2014-09-24

== Bug fixes ==
  * Fix building with vala 0.25

== Updated translations ==
  * update zh_CN translation: YunQiang Su <yqsu@src.gnome.org>
  * German: Benjamin Steinwender <b@stbe.at>
  * Slovak: Peter Vágner <pvdeejay@gmail.com>
  * Russian: Yuri Myasoedov <ymyasoedov@yandex.ru>
  * Serbian: Мирослав Николић <miroslavnikolic@rocketmail.com>
  * Swedish: Sebastian Rasmussen <sebras@gmail.com>
  * Danish: Kenneth Nielsen <k.nielsen81@gmail.com>
  * Finnish translation update by Jiri Grönroos: Ville-Pekka Vainio <vpvainio@iki.fi>
  * Polish: Piotr Drąg <piotrdrag@gmail.com>
  * Korean: Seong-ho Cho <shcho@gnome.org>
  * French: Alain Lojewski <allomervan@gmail.com>
  * Indonesian: Andika Triwidada <andika@gmail.com>
  * Brazilian Portuguese: Enrico Nicoletto <liverig@gmail.com>
  * Czech: Marek Černocký <marek@manet.cz>
  * Assamese: Nilamdyuti Goswami <ngoswami@redhat.com>
  * Galicians: Fran Diéguez <fran.dieguez@mabishu.com>
  * Traditional Chinese(Hong Kong and Taiwan): Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>

= gitg 3.13.91 =
Version 3.13.91 was released on 2014-08-20

== Bug fixes ==
  * Open repositories by clicking in the repository overview

== Updated translations ==
  * Hebrew: Yosef Or Boczko <yoseforb@src.gnome.org>

= gitg 3.13.90 =
Version 3.13.90 was released on 2014-08-20

== Features ==
  * Synchronize with gnome release schedule and versioning
  * Allow ignoring of whitespace in diff view
  * Make tab size configurable in diff view
  * Added option to show diff per word instead of per line
  * Add discard of changes in commit view
  * Multiple selection mode for commit view
  * Add selection mode for dash overview
  * Added Create Branch
  * Added Create Tag
  * Added Create Patch

== Bug fixes ==
  * Apply history lane collapse settings
  * Restore selection on reload
  * Better default column widths in history view
  * Do not unnecesarily update diff view
  * Prevent double reload of activities

== Updated translations ==
  * Catalan: Gil Forcada <gforcada@gnome.org>
  * Catalan (Valencian): Carles Ferrando <carles.ferrando@gmail.com>
  * Dutch: Reinout van Schouwen <reinouts@gnome.org> by Erwin Poeze
  * Galician: Fran Diéguez <fran.dieguez@mabishu.com>s
  * German: Benjamin Steinwender <b@stbe.at>
  * Greek: MarMav <mavridou@gmail.com>
  * Hebrew: Yosef Or Boczko <yoseforb@src.gnome.org>
  * Lithuanian: Aurimas Černius <aurisc4@gmail.com>
  * Norwegian bokmål: Kjartan Maraas <kmaraas@gnome.org>
  * Polish: Piotr Drąg <piotrdrag@gmail.com>
  * Russian: Yuri Myasoedov <ymyasoedov@yandex.ru>
  * Slovenian: Matej Urbančič <mateju@svn.gnome.org>
  * Spanish: Daniel Mustieles <dnaiel.mustieles@gmail.com>
  * Turkish: Muhammet Kara <muhammetk@gmail.com>
  * zh_CN: YunQiang Su <yqsu@src.gnome.org>

= gitg 0.3.3 =
Version 0.3.3 was released on 2014-06-30

== Features ==
  * Further polishing of the UI
  * Highlight trailing whitespaces in diffs
  * Allow to remove repositories from the overview
  * Show similarity (i.e. renames) in diffs

== Bug fixes ==
  * Fix large memory leak when opening multiple repositories
  * Fix remaining diff stat items in commit dialog
  * Restore selection when staging

== Updated translations ==
  * Czech: Marek Černocký <marek@manet.cz>
  * Lithuanian: Aurimas Černius <aurisc4@gmail.com>
  * Brazilian Portuguese: Rafael Ferreira <rafael.f.f1@gmail.com>
  * Russian: Yuri Myasoedov <ymyasoedov@yandex.ru>
  * Polish: Piotr Drąg <piotrdrag@gmail.com>
  * Hebrew: Yosef Or Boczko <yoseforb@src.gnome.org>
  * Turkish: Muhammet Kara <muhammetk@gmail.com>
  * German: Benjamin Steinwender <b@stbe.at>
  * Catalan: Carles Ferrando <carles.ferrando@gmail.com>
  * Catalan: Pau Iranzo <paugnu@gmail.com>
  * Slovenian: Matej Urbančič <mateju@svn.gnome.org>
  * German: Christian Kirbach <Christian.Kirbach@gmail.com>
  * Indonesian: Dirgita <dirgitadevina@gmail.com>
  * Greek: maria thukididu <marablack3@gmail.com>
  * Danish: Ask H. Larsen <asklarsen@gmail.com>
  * Hungarian: Gábor Kelemen <kelemeng@gnome.hu>
  * Indonesian: Andika Triwidada <andika@gmail.com>
  * Brazilian Portuguese: Antonio Fernandes C. Neto <fernandesn@gnome.org>
  * Serbian: Мирослав Николић <miroslavnikolic@rocketmail.com>
  * Ukrainian: Daniel Korostil <ted.korostiled@gmail.com>
  * Hebrew.: Yaron Shahrabani <sh.yaron@gmail.com>
  * French: nical <nical.silva@gmail.com>
  * Chinese: Cheng-Chia Tseng <pswo10680@gmail.com>
  * Latvian: Rūdolfs Mazurs <rudolfsm@src.gnome.org>
  * Chinese: Wylmer Wang <wantinghard@gmail.com>
  * Korean: Seong-ho Cho <darkcircle.0426@gmail.com>
  * Finnish: Jiri Grönroos
  * Greek: Dimitris Spingos <dmtrs32@gmail.com>
  * Galicians: Fran Diéguez <fran.dieguez@mabishu.com>
  * Italian: Milo Casagrande <milo@ubuntu.com>

= gitg 0.3.2 =
Version 0.3.2 was released on 2014-01-09

== Bug fixes ==
  * Various small build issues, parallel install, man pages, desktop files
  * Corrected required versions of dependencies
  * Do not rely on external gsettings schemas to exist
  * Improved runtime libgit2 thread support detection
  * Fix handling of mailto: uris

== Updated translations ==
  * Polish: Piotr Drąg <piotrdrag@gmail.com>
  * Hebrew: Yosef Or Boczko <yoseforb@gmail.com>
  * Spanish: Daniel Mustieles <daniel.mustieles@gmail.com>
  * Italian: Milo Casagrande <milo@ubuntu.com>

= gitg 0.3.1 =
Version 0.3.1 was released on 2014-01-02

This is the first release of a major rewrite of gitg. We have since moved from
C to Vala to implement gitg, easing development. More importantly, gitg is now
using libgit2 (instead of calling out to git) which vastly improves gitg's
quality. The interface has also had a significant overhaul, conforming to the
latest GNOME 3 apps interface development guidelines.

Although the most prominent features of gitg are present in this release, there
are still some notable regressions which will be implemented in subsequent
releases and this release should therefore be considered unstable.

== Known regressions ==
  * Push, pull branch
  * Create/rename/delete branch
  * Create/rename/delete tag
  * Basic remote branch management

= gitg 0.2.5 =
Version 0.2.5 was released on 2011-09-01

== Features ==
  * Allow redirection of stderr to stdout in shell/runner/io
  * Added debugging of runner commands
  * Better argument parsing (pass first argument to git log)
  * Run commit-msg hook when commiting
  * Improved format patch name mimicking git
  * Added pre-commit and post-commit hook execution
  * Use a checkbutton to switch the blame mode
  * Change the single line (un)stage to use a pixbuf renderer

== Bug fixes ==
  * Fix segvs in arguments and environment parsing in GitgCommand
  * Set working directory, GIT_DIR and GIT_INDEX_FILE when running hooks
  * Fixed arguments passed to log for first arg
  * gitg.desktop.in.in: Remove deprecated Encoding key from .desktop file
  * Fix parsing changed file lines with spaces in filename
  * Improved autogen.sh
  * Do not alter selection when commiting through icons
  * Code cleanup in gitg-commit-view
  * Do not use GtkMisc as it is getting deprecated.
  * preferences dialog: fix expand issues.
  * Use GtkBox instead of Gtk[HV]Box

= gitg 0.2.4 =
Version 0.2.4 was released on 2011-07-25

== Features ==
  * Blame mode
  * Show avatars
  * Added shortcut for Commit
  * Unstage/stage with double click
  * Add a Delete File menu item to the unstage menu

== Bug fixes ==
  * Fix diff line renderer sizing issues
  * Do not show null in Author of Commiter labels
  * Fix possible NULL deref
  * Fix race condition in the line parser
  * Fix path rendering offset issue
  * Fix build on OpenBSD

= gitg 0.2.3 =
Version 0.2.3 was released on 2011-07-21

== Features ==
  * Use ustar format for distcheck

== Bug fixes ==
  * Use GLADE_CATALOG_DIR instead of GLADE_CATALOGDIR
  * Fix spinner in repository dialog
  * No longer use Gtk[HV]Box as it is deprecated
  * Fix repository dialog
  * Remove and reattach model while loading repository
  * Fix ENABLE_DEBUG use in Makefile.am
  * Fix --disable-debug

== Features ==

= gitg 0.2.2 =
Version 0.2.2 was released on 2011-03-27

== Features ==
  * Added glade catalog file

== Bug fixes ==
  * Disable auto-utf8 for repository loading

= gitg 0.2.1 =
Version 0.2.1 was released on 2011-03-25

== Features ==
  * Improved debugging
  * Add UTF8 as the first candidate encoding

== Bug fixes ==
  * Adjust to GtkSourceView API break

= gitg 0.2.0 =
Version 0.2.0 was released on 2011-02-26

== Features ==
  * Port gitg to gtk+ 3

= gitg 0.1.2 =
Version 0.1.2 was released on 2011-03-27

== Bug fixes ==
  * Compatibility with gtk+ < 2.24

= gitg 0.1.1 =
Version 0.1.1 was released on 2011-03-27

== Bug fixes ==
  * Better encoding handling (fix performance regression)

= gitg 0.1.0 =
Version 0.1.0 was released on 2011-01-13

== Features ==
  * Port gitg to gsettings
  * Added gitg-config test tool

== Bug fixes ==
  * Fix icon sizes
  * Fixed getting/setting global git configuration
  * Explicit linking in tools and tests

= gitg 0.0.8 =
Version 0.0.8 was released on 2010-12-30

== Features ==
  * Added preference to ignore external diff tool
  * Improved GitgRunner/GitgCommand/GitgShell
  * Added a menu to create a new branch
  * Per line staging needs Ctrl
  * Add committer info
  * Added stat to revision details panel
  * Added gitg-revision-details-panel
  * Added 'changes' panel
  * Move the backend part of gitg into a libgitg library.
  * Improved staging/unstaging
  * Added 'edit' context menu item for stage/unstage list
  * Improve hash search performance
  * Add --no-color to some git commands
  * Make gitg compile with Gtk+ 3.0 if available.
  * Allow creating a tag without a message.

== Bug fixes ==
  * Fixed parsing diff from stash
  * Do not crash when hiding region header with no next line
  * Ellipsize long subjects in revision view
  * Don't show repository missing error when launching without arguments
  * Always override format patch export
  * Better handling of command line args and repository paths
  * Handle sensitivity correctly
  * rewrite gitg_ref_get_localname to return a const result
  * Use remote pushes for push branch menu
  * Ellipsize parent commit message at end
  * Use GtkCellRendererSpinner
  * Portability: replace PATH_MAX sized array with dynamic strings
  * Use flag G_SPAWN_CHILD_INHERITS_STDIN when input is not provided
  * Fix building with GSEAL enabled
  * Bug 620284 - Cleaned up preferences dialog
  * Make format patch override existing files properly (fixes #620463)
  * Improved charset conversion (fixes #623466)
  * Use GBinding

= gitg 0.0.6 =
Version 0.0.6 was released on 2010-02-21

== Features ==
  * Added support for opening gitg:// uris
  * Added select commit on load
  * Added DND for revisions (treeish, text, uri)
  * Added cherry-picking
  * Show only local branches
  * Added horizontal layout mode
  * Support for XDS DND
  * Multiple selection stage/unstage/revert/ignore

== Bug fixes ==
  * Plugged several memory leaks
  * Correct line rendering for diffs
  * Diff subheader visibility

= gitg 0.0.5 =
Version 0.0.5 was released on 2009-08-29

== Features ==
  * Rename branch (Paolo Borelli)

== Bug fixes ==
  * Show all files in 'Tree' list (Paolo Borelli)
  * Crasher on dropping stash items (Vitaliy Ischenko)
  * Less confusing 'git push' context menu
  * Wrong order in merging local branches
  * Use commitEncoding in commit messages

= gitg 0.0.4 =
Version 0.0.4 was released on 2009-07-05

== Features ==
  * Manage remotes
  * Manage user name and e-mail global and repository specific
  * Checkout local branches
  * Create new local branch from remote branch
  * Rebase/merge remote and local branches by drag-and-drop
  * Apply/remove stash items (applying can be done by drag-and-drop)
  * Push local branch to remote branch using drag-and-drop
  * Create/remove tags

== Bug fixes ==
  * Crasher bug in revision tree view selection change

= gitg 0.0.3 =
Version 0.0.3 was released on 2009-04-23

== Features ==
  * Show state of stash, unstaged and staged changes as virtual commits at the
    top of the history
  * Preference to not collapse inactive lanes at all
  * Drag and drop to stage/unstage files

== Bug fixes ==
  * Crasher bug on staging files from the context menu
  * Crasher bug on setting visibility of files in the revision details view
  * Resolving and showing tag objects correctly
  * Keep correct branch on reload

= gitg 0.0.2 =
Version 0.0.2 was released on 2009-04-05.

== Features ==

== Bug fixes ==
  * Correct UTF-8 conversion for dates
  * Revert file with staged changes correctly
  * Crasher bug on typing fast in search field
  * Crasher bug launching gitg on a fetching repository

= gitg 0.0.1 =
Version 0.0.1 was released on 2009-03-01. This release is the first public
release of gitg.

== Features ==
  * Browse repository history
  * Load large repositories fast
  * Show revision details
  * Browse revision file tree
    * Export parts of the file tree of a specific revision
  * Commit changes in your working directory
    * Stage/unstage/revert per hunk or file

== Bug fixes ==
